LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   anyone who get ati drivers under 2.6.11 workin? (https://www.linuxquestions.org/questions/linux-software-2/anyone-who-get-ati-drivers-under-2-6-11-workin-296715/)

freeka 03-02-2005 10:17 AM

anyone who get ati drivers under 2.6.11 workin?
 
when yes tell me how you did that

Razza2004 03-03-2005 02:54 AM

Woot, 2.6.11 is out.
I'll compile it and reply once ive got them working.
Hopefully i'll run into the same problems as 2.6.10 so I can solve them.
I'll post back in about 20-30 minutes once im done.
Wish me luck ;)

EDIT:
...oh my, this isn't good:
"Error: Cannot truncate local file /root/linux-2.6.11.tar.gz: No space left on device"
Fuck...

Razza2004 03-03-2005 05:02 AM

YAY!
After about 6 recompiles and some messing around, they finally work under 2.6.11.
Ok, first things first, get the latest ati dirvers and extract them, either using rpm or tgz if you're using slackware (which you should be ;)).
Now, open the file "/lib/modules/fglrx/build_mod/agpgart_be.c" and replace "pci_find_class" with "pci_get_class".
Once you have done that, get this patch from http://www.webdeko.com/firegl_public.patch and use it to patch "/lib/modules/fglrx/build_mod/firegl_public.c".
Now enter the following commands:
Code:

cd /lib/modules/fglrx/build_mod/
sh make.sh
cd ../
sh make_install.sh

If you get an error saying something about operation not permitted when it tries to load the module or an error that tells you to see dmesg, make sure that drm and agpgart are compiled as modules into your kernel. It wouldn't work for me if they wern't there or if they were there but not modules..
Anyways, once that is done, add "modprobe fglrx" to one of the scripts that is run at startup so you don't have to manually load it before starting X.
Now run fglrxconfig and follow the setup to set it up. move the file it creaets to xorg.conf if you are using xorg. Also, im not sure if this is just a slackware thing, but you need to edit the config file so that the keyboard driver is set to "kbd" instead of "Keyboard".
Now startx and hope for the best :)
Good luck.

DaneM 03-31-2005 04:53 PM

Thanks for the tips, Razza!

I'm having some trouble using the patch. Would you mind posting the command you used to patch it?

Have a good one.

--Dane


All times are GMT -5. The time now is 12:12 PM.